<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.5) on Mon Jan 27 13:11:08 CET 2020 -->
<title>CapteurImpl</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-01-27">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CapteurImpl";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">capteur</a></div>
<h2 title="Class CapteurImpl" class="title">Class CapteurImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>capteur.CapteurImpl</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="Capteur.html" title="interface in capteur">Capteur</a></code>, <code><a href="ObservableByAsync.html" title="interface in capteur">ObservableByAsync</a></code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">CapteurImpl</span>
extends java.lang.Object
implements <a href="Capteur.html" title="interface in capteur">Capteur</a></pre>
<div class="block">Implementation d'un capteur synchrone.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Victor Harabari, Nathanael Touchard</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../strategy/interfaces/AlgoDiffusion.html" title="interface in strategy.interfaces">AlgoDiffusion</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#algoDiffusion">algoDiffusion</a></span></code></th>
<td class="colLast">
<div class="block">Algorithme de diffusion qui notifie les observateurs.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.List&lt;<a href="../observer/ObserverAsync.html" title="interface in observer">ObserverAsync</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#observers">observers</a></span></code></th>
<td class="colLast">
<div class="block">Liste des observer du capteur.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.Integer</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#value">value</a></span></code></th>
<td class="colLast">
<div class="block">Valeur courante du capteur.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">CapteurImpl</a></span>()</code></th>
<td class="colLast">
<div class="block">Constructeur d'un capteur, la valeur capté au départ est 0.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#deregister(observer.ObserverAsync)">deregister</a></span>&#8203;(<a href="../observer/ObserverAsync.html" title="interface in observer">ObserverAsync</a>&nbsp;observer)</code></th>
<td class="colLast">
<div class="block">Efface un observer asynchrone du capteur.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../strategy/interfaces/AlgoDiffusion.html" title="interface in strategy.interfaces">AlgoDiffusion</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAlgoDiffusion()">getAlgoDiffusion</a></span>()</code></th>
<td class="colLast">
<div class="block">Permet de connaître l'algorithme de diffusion courant.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../observer/ObserverAsync.html" title="interface in observer">ObserverAsync</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getObservers()">getObservers</a></span>()</code></th>
<td class="colLast">
<div class="block">Permet de connaître la liste des observer attachés à ce capteur.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getValue()">getValue</a></span>()</code></th>
<td class="colLast">
<div class="block">Retourne la valeur du capteur.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#register(observer.ObserverAsync)">register</a></span>&#8203;(<a href="../observer/ObserverAsync.html" title="interface in observer">ObserverAsync</a>&nbsp;observer)</code></th>
<td class="colLast">
<div class="block">Enregistre un observer asynchrone du capteur.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDiffusionStrategy(strategy.interfaces.AlgoDiffusion)">setDiffusionStrategy</a></span>&#8203;(<a href="../strategy/interfaces/AlgoDiffusion.html" title="interface in strategy.interfaces">AlgoDiffusion</a>&nbsp;algoDiffusion)</code></th>
<td class="colLast">
<div class="block">Permet de changer l'algorithme de diffusion et configurer le capteur lié à la diffusion.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setValue(int)">setValue</a></span>&#8203;(int&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Permet de choisir une valeur au capteur.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#tick()">tick</a></span>()</code></th>
<td class="colLast">
<div class="block">Incrémente la valeur (le compteur) du capteur de 1.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="value">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>value</h4>
<pre>private&nbsp;java.lang.Integer value</pre>
<div class="block">Valeur courante du capteur.</div>
</li>
</ul>
<a id="observers">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>observers</h4>
<pre>private&nbsp;java.util.List&lt;<a href="../observer/ObserverAsync.html" title="interface in observer">ObserverAsync</a>&gt; observers</pre>
<div class="block">Liste des observer du capteur.</div>
</li>
</ul>
<a id="algoDiffusion">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>algoDiffusion</h4>
<pre>private&nbsp;<a href="../strategy/interfaces/AlgoDiffusion.html" title="interface in strategy.interfaces">AlgoDiffusion</a> algoDiffusion</pre>
<div class="block">Algorithme de diffusion qui notifie les observateurs.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CapteurImpl</h4>
<pre>public&nbsp;CapteurImpl()</pre>
<div class="block">Constructeur d'un capteur, la valeur capté au départ est 0.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getValue()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValue</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getValue()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="Capteur.html#getValue()">Capteur</a></code></span></div>
<div class="block">Retourne la valeur du capteur.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Capteur.html#getValue()">getValue</a></code>&nbsp;in interface&nbsp;<code><a href="Capteur.html" title="interface in capteur">Capteur</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>valeur du capteur</dd>
</dl>
</li>
</ul>
<a id="tick()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tick</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;tick()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="Capteur.html#tick()">Capteur</a></code></span></div>
<div class="block">Incrémente la valeur (le compteur) du capteur de 1.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Capteur.html#tick()">tick</a></code>&nbsp;in interface&nbsp;<code><a href="Capteur.html" title="interface in capteur">Capteur</a></code></dd>
</dl>
</li>
</ul>
<a id="setValue(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setValue</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setValue&#8203;(int&nbsp;value)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="Capteur.html#setValue(int)">Capteur</a></code></span></div>
<div class="block">Permet de choisir une valeur au capteur.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Capteur.html#setValue(int)">setValue</a></code>&nbsp;in interface&nbsp;<code><a href="Capteur.html" title="interface in capteur">Capteur</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - valeur à assigner au capteur</dd>
</dl>
</li>
</ul>
<a id="register(observer.ObserverAsync)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>register</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;register&#8203;(<a href="../observer/ObserverAsync.html" title="interface in observer">ObserverAsync</a>&nbsp;observer)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="ObservableByAsync.html#register(observer.ObserverAsync)">ObservableByAsync</a></code></span></div>
<div class="block">Enregistre un observer asynchrone du capteur.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="ObservableByAsync.html#register(observer.ObserverAsync)">register</a></code>&nbsp;in interface&nbsp;<code><a href="ObservableByAsync.html" title="interface in capteur">ObservableByAsync</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>observer</code> - observer à associer</dd>
</dl>
</li>
</ul>
<a id="deregister(observer.ObserverAsync)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deregister</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;deregister&#8203;(<a href="../observer/ObserverAsync.html" title="interface in observer">ObserverAsync</a>&nbsp;observer)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="ObservableByAsync.html#deregister(observer.ObserverAsync)">ObservableByAsync</a></code></span></div>
<div class="block">Efface un observer asynchrone du capteur.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="ObservableByAsync.html#deregister(observer.ObserverAsync)">deregister</a></code>&nbsp;in interface&nbsp;<code><a href="ObservableByAsync.html" title="interface in capteur">ObservableByAsync</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>observer</code> - observer à effacer</dd>
</dl>
</li>
</ul>
<a id="setDiffusionStrategy(strategy.interfaces.AlgoDiffusion)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDiffusionStrategy</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setDiffusionStrategy&#8203;(<a href="../strategy/interfaces/AlgoDiffusion.html" title="interface in strategy.interfaces">AlgoDiffusion</a>&nbsp;algoDiffusion)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="Capteur.html#setDiffusionStrategy(strategy.interfaces.AlgoDiffusion)">Capteur</a></code></span></div>
<div class="block">Permet de changer l'algorithme de diffusion et configurer le capteur lié à la diffusion.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Capteur.html#setDiffusionStrategy(strategy.interfaces.AlgoDiffusion)">setDiffusionStrategy</a></code>&nbsp;in interface&nbsp;<code><a href="Capteur.html" title="interface in capteur">Capteur</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>algoDiffusion</code> - algorithme de diffusion choisi</dd>
</dl>
</li>
</ul>
<a id="getObservers()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getObservers</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;<a href="../observer/ObserverAsync.html" title="interface in observer">ObserverAsync</a>&gt;&nbsp;getObservers()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="Capteur.html#getObservers()">Capteur</a></code></span></div>
<div class="block">Permet de connaître la liste des observer attachés à ce capteur.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Capteur.html#getObservers()">getObservers</a></code>&nbsp;in interface&nbsp;<code><a href="Capteur.html" title="interface in capteur">Capteur</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la liste des observer</dd>
</dl>
</li>
</ul>
<a id="getAlgoDiffusion()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getAlgoDiffusion</h4>
<pre class="methodSignature">public&nbsp;<a href="../strategy/interfaces/AlgoDiffusion.html" title="interface in strategy.interfaces">AlgoDiffusion</a>&nbsp;getAlgoDiffusion()</pre>
<div class="block">Permet de connaître l'algorithme de diffusion courant.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>l'algorithme de diffusion courant</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
